<%
	ark = render_document_show_field_value(:document=>@document, :field=>'id')
	componentCount = @document['component_count_isi']
	component_map = @document['component_map_tesim']
	components = listComponents component_map
	firstComponent = 'first-component'
%>

<%# CHECK FOR RESTRICTED NOTICE %>
<% if cannot?(:read, @document) || cultural_sensitive?(@document) then %>
  <% restrictedNotice = grabRestrictedText(@document['otherNote_json_tesim']) %>
  <% unless restrictedNotice.nil? %>
    <div class="restricted-notice">
      <div>
        <%= restrictedNotice %>
      </div>
    </div>
  <% end %>
<% end %>
<% access_notice = grab_access_text(@document) if cannot?(:read, @document) %>

<section id="le-component">

	<%# COMPONENT PAGER %>
	<% if componentCount != nil   %>
	  <%= render :partial => 'component_pager' %>
	<% end %>

	<%# DRAW COMPONENTS %>
	<% components.each do |i| %>

		<%
			fileUse = grabFileUse(:componentIndex=>i)
			display_file = grabDisplayFile(:componentIndex=>i)
			service_file = grabServiceFile(:componentIndex=>i)
			display_file_path = (display_file != 'no_display') ? file_path(ark,"_#{i}_#{display_file}") : ''
			display_file_name = (display_file != 'no_display') ? "_#{i}_#{display_file}" : ''
			service_file_path = (service_file != nil) ? download_path(ark, "_#{i}_#{service_file}") : ''
			fileType = grabFileType(fileUse)
			loadFirstComponent = (firstComponent != nil) ? "data=#{i}" : ''
			source_file = grabSourceFile(:componentIndex=>i)
            objid = @document['id']
            embed_url = "#{root_url}embed/#{objid}/#{i}" 
	        if source_file != nil
	          download_file_path = download_path(ark,"_#{i}_#{source_file}")
              source_file_path = download_path(ark,"_#{i}_#{source_file}")
	        elsif service_file != nil
	          download_file_path = download_path(ark,"_#{i}_#{service_file}")
	        elsif display_file != nil
	          download_file_path = download_path(ark,"_#{i}_#{display_file}")
	        else
	          download_file_path = ''
	        end

	        display_file_path = to_stats_path display_file_path
	        service_file_path = to_stats_path service_file_path
	        download_file_path = to_stats_path download_file_path
	        source_file_path = to_stats_path source_file_path
	        display_file_name = to_stats_path display_file_name

            isFirstComponent = (i == 1) ? true : false

            can_public_download = can_public_source_download?(@document, :componentIndex=>i)
        %>
		<div id="component-<%= i %>" class="component <%= firstComponent if isFirstComponent %>" <%= loadFirstComponent if isFirstComponent %>>

			<%= render :partial => 'shared/fields/title', :locals => {:componentIndex => i} %>
			<%= render :partial => 'restricted_access', :locals => {:access_notice => access_notice } %>
			<% if fileType == 'image' %>
                            <% if access_notice.nil? %>
				<% zoom_file_path = zoom_path(ark, "#{i}") %>
				<% dataForDynamicLoad = "{\"alt_text\":\"#{alt_tag_text(grabTitle(componentIndex: i))}\",\"file_type\":\"image\",\"display_file_path\":\"#{display_file_path}\",\"service_file_path\":\"#{zoom_file_path}\",\"download_file_path\":\"#{download_file_path}\"}" %>
				<div data='<%=dataForDynamicLoad%>'></div>
                            <% end %>
		    <%= render :partial => 'metadata_component', :locals => {:componentIndex => i} %>
		    <%= render :partial => 'admin_download', :locals => {:cmpID => i, :embedURL => embed_url, :downloadFilePath => download_file_path, :downloadDerivativePath => service_file_path, :format => fileType, :publicSourceDownload => can_public_download  } if access_notice.nil?%>

		  <% elsif fileType == 'audio' %>
		    <%= render :partial => 'audio_viewer_complex', :locals => {:access_notice => access_notice, :componentIndex => i, :downloadFilePath => download_file_path, :downloadDerivativePath => nil, :publicSourceDownload => can_public_download  } %>
		    <%= render :partial => 'metadata_component', :locals => {:componentIndex => i} %>

		  <% elsif fileType == 'video' %>

		    <%= render :partial => 'video_viewer_complex', :locals => {:access_notice => access_notice, :componentIndex => i, :downloadFilePath => download_file_path, :downloadDerivativePath => service_file_path, :displayFileName => display_file_name, :publicSourceDownload => can_public_download} %>
		    <%= render :partial => 'metadata_component', :locals => {:componentIndex => i} %>

		  <% elsif fileType == 'document' %>

		    <%= render :partial => 'document_viewer', :locals => {:access_notice => access_notice, :filePath => service_file_path, :displayFilePath => display_file_path, :downloadDerivativePath => service_file_path, :publicSourceDownload => can_public_download  } %>
		    <%= render :partial => 'metadata_component', :locals => {:componentIndex => i, :fileMetadata => true, :fileName => service_file} %>
		    <%= render :partial => 'data_viewer', :locals => {:objectType => 'complex', :filePath => service_file_path, :downloadDerivativePath => service_file_path, :sourcefilePath => source_file_path  } if access_notice.nil?%>

			<% elsif fileType == 'data' %>
		    <%= render :partial => 'metadata_component', :locals => {:componentIndex => i, :fileMetadata => true, :fileName => service_file} %>
				<%= render :partial => 'data_viewer', :locals => {:objectType => 'complex', :filePath => service_file_path, :downloadDerivativePath => service_file_path, :sourcefilePath => source_file_path, :publicSourceDownload => can_public_download  } if access_notice.nil?%>
	        <% elsif fileType == 'text' %>
		      <%= render :partial => 'metadata_component', :locals => {:componentIndex => i, :fileMetadata => true, :fileName => service_file} %>
			  <%= render :partial => 'text_viewer', :locals => {:objectType => 'complex', :downloadFilePath => download_file_path, :downloadDerivativePath => service_file_path, :embedURL => embed_url, :format => fileType, :publicSourceDownload => can_public_download  } if access_notice.nil?%>
			<% else %>
				<%= render :partial => 'metadata_component', :locals => {:componentIndex => i} %>
				<%= render :partial => 'default_viewer', :locals => {:objectType => 'complex'} %>				
			<% end %>

		</div>

		<% firstComponent = nil if isFirstComponent %>

	<% end %>

</section> 
